<?php
/*
 * ----------------------------------------------------------------------------
 * Forum-DispMsg.php                                                 12/18/2004
 * This script will display a list of messages that are available in the
 * selected database.
 * The variable $t is passed to the script to set the topic number.
 * The variable $d is passed to the script to set the database number.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

session_cache_limiter('private, must-revalidate');  // Useful if a user hits the back button.

$VA_ACTION = 'Reading Messages';

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-database.inc.php');  // Include database functions.
require_once('layout_forum.inc.php');               // Webpage footer and header.

if (isset($_GET['t'])) {                    // Set the passed variables.
    $t = (integer) $_GET['t'];
} else {
    $t = 1;
}

if (isset($_GET['d'])) {                    // Set the passed variables.
    $d = (integer) $_GET['d'];
} else {
    $d = 1;
}

if ($t < 1) {
    $t = 1;
}
if ($d < 1) {
    $d = 1;
}

$topic = GetTopicInfo($t, 'M');             // Retrieve the topic information.
// If this is an invalid section, display an error message.
if (!$topic) {
    die('<br /><h4>Invalid topic. Please press the BACK button on your browser.</h4>');
}

// Check to see if a valid database number.
if ($d > $topic['dbno']) {
    die('<br /><h4>Invalid database. Please press the BACK button on your browser.</h4>');
}

$db = GetDBInfo($t, $d);                    // Retrieve the database information.
// Determine if the user has access to this section.
if (!DbAccess($db)) {
    die('<br /><h4>You do not have access to this section. Please press the BACK button on your browser.</h4>');
}

// Update message pointers.
if ((isset($_POST['msgupd'])) && ($_POST['msgupd'] == 1)) {
    WriteMessagePointer($db, $USER['userno'], $db['msgno']);
}

if (trim($topic['desc']) != '') {
    $topicDesc = htmlspecialchars($topic['desc']);
} else {
    $topicDesc = '(No Topic Description)';
}

if (trim($db['desc']) != '') {
    $dbDesc = htmlspecialchars($db['desc']);
} else {
    $dbDesc = '(No Description)';
}

if (strlen($dbDesc) >= 31) {
    $dbDesc = $dbDesc . '...';
}

if (($USER['userno'] > 0) && ($USER['userno'] != $CONFIG['guestacct'])) {
    $msgPointer = GetMessagePointer($db, $USER['userno']);  // Get the message pointer.
    if ($msgPointer == 32760) {
        $msgPointer = $db['msgno'];
    }
} else {
    $msgPointer = $db['msgno'];
}

$msgno = $db['msgno'];                      // Retrieve the number of messages.

if (isset($_GET['m'])) {                    // Set the passed variables.
    $m = (integer) $_GET['m'];
} else {
    $m = $msgno;
}
if ($m > $msgno) {
    $m = $msgno;
}
if ($m <= 0) {
    $m = 1;
}

ForumHeader();                              // Display the webpage header.
?>

<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">

<?php
if ($m > 25) {
    $num = $m - 25;
    $cnt = 25;
    if ($num < 25) {
        $cnt = $num;
    }
    print "<a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous " . $cnt . "</a> |\n";
}

if ($m < $msgno) {
    $num = $m + 25;
    if ($num > $msgno) {
        $num = $msgno;
    }
    $cnt = 25;
    if (($msgno - $m) < 25) {
        $cnt = ($msgno - $m);
    }
    print "<a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next " . $cnt . "</a> |\n";
}
print "<a class=\"msgBack\" href=\"forum-dispdb.php?t=" . $t . "\">Back to " . str_replace(' ', '&nbsp;', $topicDesc) . "</a>\n";
print "&nbsp;<a class=\"msgBack\" title=\"Back to Topics\" href=\"forum-disptopics.php\">&lt;--</a>\n";
?>

        </td>
        <td align="right">
            <span class="msgBack"><a class="msgBack" href="./../index.php">Return to Home Page</a></span></td>
    </tr>
</table>
<table border="1" width="750" cellspacing="0" cellpadding="2" bordercolor="#666666" style="border-collapse: collapse">
    <tr>
        <td colspan="5" bgcolor="#416DBF" height="33">
            <table border="0" style="border-collapse: collapse" cellpadding="0" cellspacing="0" width="100%" height="100%">
                <tr>
                    <td align="left" width="100%">
                        <span class="msgTitle">&nbsp;&nbsp;<?php
                                                           if ($db['networked']) {
                                                               print '<img src="./../images/networked.gif" alt="Networked Database" width="12" height="11">&nbsp;';
                                                           } else {
                                                                print '<img src="./../images/local.gif" alt="Local Database" width="12" height="11">&nbsp;';
                                                           }
                                                           print str_replace(' ', '&nbsp;', $dbDesc) . '&nbsp;&nbsp;-&nbsp;&nbsp;[' . $msgPointer . ' / ' . $db['msgno'] . ']';
                                                           ?></span></td>
                    <form action="search.php" name="search" method="GET">
                        <td align="right">
                            <input type="hidden" name="t" value="<?php print $t; ?>">
                            <input type="hidden" name="d" value="<?php print $d; ?>">
                            <input type="image" name="submit" src="./../images/search.gif" border="0" alt="Search Messages" width="60" height="25">
                        </td>
                    </form>
                    <?php if (($USER['userno'] != 0) && ($USER['securitylevel'] >= $db['minwritesl'])) { ?>
                    <form action="post-message.php" name="post" method="POST">
                        <td align="right">
                            <input type="hidden" name="referer" value="<?php print GetCurrentURL(); ?>">
                            <input type="hidden" name="t" value="<?php print $t; ?>">
                            <input type="hidden" name="d" value="<?php print $d; ?>">
                            <input type="hidden" name="reply" value="0">
                            <input type="image" name="submit" src="./../images/post.gif" border="0" alt="Post a New Message" width="80" height="25">
                        </td>
                    </form>
                    <?php } ?>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td class="msgHeader" width="30" height="15" bgcolor="#000080"></td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="left">&nbsp;From&nbsp;</td>
        <td class="msgHeader" width="100" height="15" bgcolor="#000080" align="left">&nbsp;To&nbsp;</td>
        <td class="msgHeader" width="370" height="15" bgcolor="#000080" align="left">&nbsp;Subject&nbsp;</td>
        <td class="msgHeader" width="150" height="15" bgcolor="#000080" align="center">&nbsp;Date/Time&nbsp;</td>
    </tr>

<?php
// Set the fileString variable.
$file = $VA_SYSPATHS['db'] . '/' . $db['filename'] . '.DAT';
if (!is_file($file)) {
    die('<br /><h4>Requested database is missing. Please press the BACK button on your browser.</h4>');
}
$fileString = ReadCfgFile($file);    // Read the file.

// Run the loop that will display the messages.
for ($x = $m; $x >= ($m - 24); $x--) {
    if ($msgno == 0) {
        print "<tr><td colspan=\"5\"><p align=\"left\"><br /><span class=\"heading\">There are no messages in this database.</span><br /><br /></p></td></tr>\n";
        break;
    }

    if ($x <= 0) {
        break;
    }
    $msgInfo = GetMessageInfo($db, $x, $fileString);    // Get the message information.
    $dateTime = ConvertDateTime($msgInfo['creation'], 'F j, Y');

    $from = $msgInfo['fromhandle'];
    $pos = strpos($from, '@');                          // Check for email address.
    if (is_int($pos)) {
        $from = substr($from, 0, $pos);
    }
    $char = substr($from, 0, 1);
    if ($char == '<') {
        $from = substr($from, 1);
    }
    if ($char == "\"") {
        $pos = strpos($from, "\"", 1);
        $from = substr($from, 1, $pos - 1);
    }
    $from = trim(htmlspecialchars($from));

    $to = $msgInfo['tohandle'];
    $pos = strpos($to, '@');                            // Check for email address.
    if (is_int($pos)) {
        $to = substr($to, 0, $pos);
    }
    $char = substr($to, 0, 1);
    if ($char == '<') {
        $to = substr($to, 1);
    }
    if ($char == "\"") {
        $pos = strpos($to, "\"", 1);
        $to = substr($to, 1, $pos - 1);
    }
    $to = trim(htmlspecialchars($to));

    if ($msgInfo['subject'] == '') {
        $subject = '(No Subject)';
    } else {
        $subject = htmlspecialchars(StripANSICodes(StripBBSCodes($msgInfo['subject'])));
    }
    
    $pos = strpos($to, '@');
    if (is_int($pos)) {
        $to = substr($to, 0, $pos);
    }
?>

    <tr>
        <td width="30" height="30" bgcolor="#E2E2E2" align="center" nowrap>
            <img border="0" <?php
                            if ($msgInfo['deleted'] == 1) {
                                print "src=\"./../images/message-deleted.gif\" alt=\"Message Marked for Deletion\"";
                            } else if ($msgPointer < $x) {
                                print "src=\"./../images/message-new.gif\" alt=\"New Message\"";
                            } else {
                                print "src=\"./../images/message.gif\" alt=\"Message\"";
                            }
                            ?> width="11" height="11"><?php
                                                      if ($msgInfo['attfilename'] != '') {
                                                          print "<img border=\"0\" src=\"./../images/paperclip.gif\" alt=\"Attached File\" width=\"11\" height=\"11\">";
                                                      }
                                                      ?></span></td>
        <td width="100" height="30" align="left" nowrap>
            <span class="boldBody">&nbsp;<?php print str_replace(' ', '&nbsp;', $from); ?>&nbsp;</span></td>
        <td width="100" height="30" bgcolor="#E2E2E2" align="left" nowrap>
            <span class="body">&nbsp;<?php print str_replace(' ', '&nbsp;', $to); ?>&nbsp;</span></td>
        <td width="370" height="30" align="left">
            <span class="heading">&nbsp;<?php
                                        if (($msgInfo['deleted'] != 1) ||
                                            ($USER['securitylevel'] >= 255) ||
                                            (($db['moderator'] == $USER['userno']) &&
                                             ($db['moderator'] > 0))) {
                                            print "<a href=\"forum-viewmsg.php?t=" . $t . "&d=" . $d . "&m=" . $x . "\">" . str_replace(' ', '&nbsp;', $subject) . "</a>";
                                        } else {
                                            print $subject;
                                        }
                                        ?>&nbsp;</span></td>
        <td width="150" height="30" bgcolor="#E2E2E2" align="center" nowrap>
            <span class="body">&nbsp;<?php print $dateTime['date']; ?></span><span class="msgTime"><br />&nbsp;<?php print $dateTime['time']; ?><?php
                                                                                                                                                if (!$dateTime['tz']) {
                                                                                                                                                    print '*';
                                                                                                                                                }
                                                                                                                                                ?>&nbsp;</span></td>
    </tr>

<?php
}
?>

    <form name="msgupd" method="post" action="forum-dispmsg.php?t=<?php print $t; ?>&d=<?php print $d; ?>">
        <input type="hidden" name="msgupd" value="1">
        <tr>
            <td class="msgHeader" bgcolor="#416DBF" align="left" colspan="5" height="25" width="750">&nbsp;
                <?php
                if (($USER['userno'] > 0) && ($USER['userno'] != $CONFIG['guestacct'])) {
                    print '<a class="msgHeader" href="javascript: document.msgupd.submit()">Update Forum Message Pointers</a>';
                }
                ?>
            </td>
        </tr>
    </form>
</table>
<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border-collapse: collapse" bordercolor="#111111">
    <tr>
        <td class="msgBack" align="left">

<?php
if ($m > 25) {
    $num = $m - 25;
    $cnt = 25;
    if ($num < 25) {
        $cnt = $num;
    }
    print "<a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Previous " . $cnt . "</a> |\n";
}

if ($m < $msgno) {
    $num = $m + 25;
    if ($num > $msgno) {
        $num = $msgno;
    }
    $cnt = 25;
    if (($msgno - $m) < 25) {
        $cnt = ($msgno - $m);
    }
    print "<a class=\"msgBack\" href=\"forum-dispmsg.php?t=" . $t . "&d=" . $d . "&m=" . $num . "\">Next " . $cnt . "</a> |\n";
}
print "<a class=\"msgBack\" href=\"forum-dispdb.php?t=" . $t . "\">Back to " . $topicDesc . "</a>\n";
print "&nbsp;<a class=\"msgBack\" title=\"Back to Topics\" href=\"forum-disptopics.php\">&lt;--</a>\n";
?>

        </td>
        <td class="msgBack" align="right">
            <a class="msgBack" href="./../index.php">Return to Home Page</a></td>
    </tr>
</table>

<?php

ForumFooter();                              // Display the webpage footer.

?>
