<?php
/*
 * ----------------------------------------------------------------------------
 * DispNet.php                                                       12/15/2004
 * This script will display the network listings.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'Viewing Network Listing';

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Include the main BBS configuration.
require_once($includeDir . 'va-networks.inc.php');  // Include networks data.

ob_start('ob_gzhandler');                   // Turn on buffering and compression to speed things up.

if (isset($_GET['net'])) {                  // Set the passed variables.
    $netNo = $_GET['net'];
} else {
    $netNo = 0;
}

if (isset($_GET['l'])) {
    $startLine = $_GET['l'];
} else {
    $startLine = 0;
}

$netinfo = GetNetworkinfo();

if (!isset($netinfo[$netNo])) {
    die('<br /><h4>Invalid network number! Please press the back button on your browser.</h4>');
}

require_once($includeDir. 'html_header.php');
?>
<html>

<head>
<title>[Node List] - <?php print str_replace(' ', '&nbsp;', $VA_MAIN['bbsname']); ?></title>
<meta name="robots" content="index, follow" />
<meta name="copyright" content="Copyright  <?php print date("Y"); ?>, Steve Winn" />
</head>

<body text="#C0C0C0" bgcolor="#000000">
<span style="font-family: Courier New; font-size: 12pt; color: #FFFFFF">
<p align="center"><b><?php print str_replace(' ', '&nbsp;', $VA_MAIN['bbsname']) . ' - ' . $netinfo[$netNo]['desc']; ?> Node List</b></span>
<hr color="#525552">

<div align="center">
    <center>
    <table border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="left">
<?php
$filename = $VA_SYSPATHS['data'] . '\NETLIST.' . $netNo;    // Set the filename.
$x = 0;

if ((!is_file($filename)) || (filesize($filename) == 0)) {
    print '<pre><span style="font-size: 10pt; color: #FFFF52">' . "\n";
    print 'No Listed Nodes!</pre>' . "\n";
} else {
    $file = file($filename);                // Read and close the file.

    // Print each line and convert heart codes to html.
    print '<pre><span style="font-size: 10pt">' . "\n";
    $line = $startLine;
    for ($x = 0; (isset($file[$line]) && ($x < 200)); $x++) {
        print FixHeartColors(htmlspecialchars($file[$line])) . '<br />';
        $line++;
    }
    print "</span></pre>\n";
}
?>
            </td>
        </tr>
    </table>
    </center>
    <p align="center">
<?php
if ($startLine >= 200) {
    $y = $startLine - 200;
    if ($y < 0) {
        $y = 0;
    }
    print '<span style="font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #FFFFFF"> - <a href="dispnet.php?net=' . $netNo . '&l=' . $y . '"><span style="color: #FFFFFF">Previous Page</span></a> - </span>' . "\n";
}
if (($x >= 200) && (isset($file[$line + 1]))) {
    print '<span style="font-family: Verdana, Arial, Helvetica; font-size: 10pt; color: #FFFFFF"> - <a href="dispnet.php?net=' . $netNo . '&l=' . $line . '"><span style="color: #FFFFFF">Next Page</span></a> - </span>' . "\n";
}
?>
    </p>
</div>

<?php GlobalFooter(1); ?>

</body>

</html>

<?php ob_end_flush(); ?>
