<?php
/*
 * ----------------------------------------------------------------------------
 * VConfig_Main_Process.php                                          10/23/2004
 * This script processes the info from the vconfig_main.php script.
 * ----------------------------------------------------------------------------
 * Copyright (C) 2002-2004 Steve Winn. All Rights Reserved.
 *
 * The source code contains a fair amount of comments, which may aid anyone
 * attempting to follow the program or to modify it.
 *
 * For licensing and copyright information, view LICENSE.TXT.
 * ----------------------------------------------------------------------------
 */

$VA_ACTION = 'SysOp Function';

require_once('include_dir.php');                    // Get include directory.
require_once($includeDir . 'va-functions.inc.php'); // A VADV-PHP script.
require_once($includeDir . 'va-main.inc.php');      // Get current main configuration.

if (($USER['userno'] == 0) ||
    ($USER['userno'] == $CONFIG['guestacct']) ||
    ($USER['securitylevel'] == 0)) {
    RedirectUser('../index.php');
}
if ($USER['securitylevel'] < 255) {
    $log = 'VConfig Error!  "' . $USER['handle'] . '" - Attempted Unauthorized VConfig Entry';
    WriteLog('VADV-PHP.LOG', $log);
    RedirectUser('../index.php');
}

// Check for system password.
if ($CONFIG['syspass']) {
    if (isset($_SESSION['systempw'])) {
        if ($_SESSION['systempw'] !== $VA_MAIN['systempw']) {
            RedirectUser('../index.php');
        }
    } else {
        RedirectUser('../index.php');
    }
}

if ((!isset($_POST['process'])) || ($_POST['process'] != 1)) {
    die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');
}
if (!isset($_POST['submit'])) {
    die('<br /><h4>Invalid parameters. Please press the BACK button on your browser.</h4>');
}

if ($_POST['submit'] == 'Reset') {
    RedirectUser($_POST['referer']);
}
if ($_POST['submit'] == 'Cancel') {
    RedirectUser('vconfig.php');
}

if ((isset($_POST['bbsname']))       && ($_POST['bbsname']       != $VA_MAIN['bbsname']))      $main['bbsname']       = $_POST['bbsname'];
if ((isset($_POST['sysopname']))     && ($_POST['sysopname']     != $VA_MAIN['sysopname']))    $main['sysopname']     = $_POST['sysopname'];
if ((isset($_POST['timeout']))       && ($_POST['timeout']       != $VA_MAIN['timeout'])       && ($_POST['timeout']       != ''))  { $main['timeout']       = $_POST['timeout'];       } else if ((isset($_POST['timeout']))       && ($_POST['timeout']       == ''))  { $main['timeout']       = 0; }
if ((isset($_POST['phoneformat']))   && ($_POST['phoneformat']   != $VA_MAIN['phoneformat']))  $main['phoneformat']   = $_POST['phoneformat'];
if ((isset($_POST['sblank']))        && ($_POST['sblank']        != $VA_MAIN['sblank'])        && ($_POST['sblank']        != ''))  { $main['sblank']        = $_POST['sblank'];        } else if ((isset($_POST['sblank']))        && ($_POST['sblank']        == ''))  { $main['sblank']        = 0; }
if ((isset($_POST['reservekb']))     && ($_POST['reservekb']     != $VA_MAIN['reservekb'])     && ($_POST['reservekb']     != ''))  { $main['reservekb']     = $_POST['reservekb'];     } else if ((isset($_POST['reservekb']))     && ($_POST['reservekb']     == ''))  { $main['reservekb']     = 0; }
if ((isset($_POST['timezone']))      && ($_POST['timezone']      != $VA_MAIN['timezone']))     $main['timezone']      = $_POST['timezone'];
if ((isset($_POST['creditcost']))    && ($_POST['creditcost']    != $VA_MAIN['creditcost'])    && ($_POST['creditcost']    != ''))  { $main['creditcost']    = $_POST['creditcost'];    } else if ((isset($_POST['creditcost']))    && ($_POST['creditcost']    == ''))  { $main['creditcost']    = 0; }
if ((isset($_POST['allowhandle']))   && ($_POST['allowhandle']   != $VA_MAIN['allowhandle'])   && ($_POST['allowhandle']   != ''))  { $main['allowhandle']   = $_POST['allowhandle'];   } else if (!isset($_POST['allowhandle']))   $main['allowhandle'] = 0;
if ((isset($_POST['allowremote']))   && ($_POST['allowremote']   != $VA_MAIN['allowremote'])   && ($_POST['allowremote']   != ''))  { $main['allowremote']   = $_POST['allowremote'];   } else if (!isset($_POST['allowremote']))   $main['allowremote'] = 0;
//if ((isset($_POST['newuserpw']))     && ($_POST['newuserpw']     != $VA_MAIN['newuserpw']))    $main['newuserpw']     = $_POST['newuserpw'];
//if ((isset($_POST['systempw']))      && ($_POST['systempw']      != $VA_MAIN['systempw']))     $main['systempw']      = $_POST['systempw'];
if ((isset($_POST['nucredits']))     && ($_POST['nucredits']     != $VA_MAIN['nucredits'])     && ($_POST['nucredits']     != ''))  { $main['nucredits']     = $_POST['nucredits'];     } else if ((isset($_POST['nucredits']))     && ($_POST['nucredits']     == ''))  { $main['nucredits']     = 0; }
if ((isset($_POST['wfcdrives']))     && ($_POST['wfcdrives']     != $VA_MAIN['wfcdrives']))    $main['wfcdrives']     = $_POST['wfcdrives'];
if ((isset($_POST['maxchannelno']))  && ($_POST['maxchannelno']  != $VA_MAIN['maxchannelno'])  && ($_POST['maxchannelno']  != ''))  { $main['maxchannelno']  = $_POST['maxchannelno'];  } else if ((isset($_POST['maxchannelno']))  && ($_POST['maxchannelno']  == ''))  { $main['maxchannelno']  = 0; }
if ((isset($_POST['netlowtime']))    && ($_POST['netlowtime']    != $VA_MAIN['netlowtime']))   $main['netlowtime']    = $_POST['netlowtime'];
if ((isset($_POST['nethightime']))   && ($_POST['nethightime']   != $VA_MAIN['nethightime']))  $main['nethightime']   = $_POST['nethightime'];
if ((isset($_POST['redials']))       && ($_POST['redials']       != $VA_MAIN['redials'])       && ($_POST['redials']       != ''))  { $main['redials']       = $_POST['redials'];       } else if ((isset($_POST['redials']))       && ($_POST['redials']       == ''))  { $main['redials']       = 0; }
if ((isset($_POST['polldelay']))     && ($_POST['polldelay']     != $VA_MAIN['polldelay'])     && ($_POST['polldelay']     != ''))  { $main['polldelay']     = $_POST['polldelay'];     } else if ((isset($_POST['polldelay']))     && ($_POST['polldelay']     == ''))  { $main['polldelay']     = 0; }
if ((isset($_POST['dialstring']))    && ($_POST['dialstring']    != $VA_MAIN['dialstring'])    && ($_POST['dialstring']    != ''))    $main['dialstring']    = $_POST['dialstring'];
if ((isset($_POST['autopostsl']))    && ($_POST['autopostsl']    != $VA_MAIN['autopostsl'])    && ($_POST['autopostsl']    != ''))  { $main['autopostsl']    = $_POST['autopostsl'];    } else if ((isset($_POST['autopostsl']))    && ($_POST['autopostsl']    == ''))  { $main['autopostsl']    = 0; }
if ((isset($_POST['emlothers']))     && ($_POST['emlothers']     != $VA_MAIN['emlothers'])     && ($_POST['emlothers']     != ''))  { $main['emlothers']     = $_POST['emlothers'];     } else if ((isset($_POST['emlothers']))     && ($_POST['emlothers']     == ''))  { $main['emlothers']     = 0; }
if ((isset($_POST['emlsysfile']))    && ($_POST['emlsysfile']    != $VA_MAIN['emlsysfile'])    && ($_POST['emlsysfile']    != ''))  { $main['emlsysfile']    = $_POST['emlsysfile'];    } else if ((isset($_POST['emlsysfile']))    && ($_POST['emlsysfile']    == ''))  { $main['emlsysfile']    = 0; }
if ((isset($_POST['emlotherfile']))  && ($_POST['emlotherfile']  != $VA_MAIN['emlotherfile'])  && ($_POST['emlotherfile']  != ''))  { $main['emlotherfile']  = $_POST['emlotherfile'];  } else if ((isset($_POST['emlotherfile']))  && ($_POST['emlotherfile']  == ''))  { $main['emlotherfile']  = 0; }
if ((isset($_POST['multimail']))     && ($_POST['multimail']     != $VA_MAIN['multimail'])     && ($_POST['multimail']     != ''))  { $main['multimail']     = $_POST['multimail'];     } else if ((isset($_POST['multimail']))     && ($_POST['multimail']     == ''))  { $main['multimail']     = 0; }
if ((isset($_POST['carboncopy']))    && ($_POST['carboncopy']    != $VA_MAIN['carboncopy'])    && ($_POST['carboncopy']    != ''))  { $main['carboncopy']    = $_POST['carboncopy'];    } else if ((isset($_POST['carboncopy']))    && ($_POST['carboncopy']    == ''))  { $main['carboncopy']    = 0; }
if ((isset($_POST['uplev']))         && ($_POST['uplev']         != $VA_MAIN['uplev'])         && ($_POST['uplev']         != ''))    $main['uplev']         = $_POST['uplev'];
if ((isset($_POST['autosysopsl']))   && ($_POST['autosysopsl']   != $VA_MAIN['autosysopsl'])   && ($_POST['autosysopsl']   != ''))  { $main['autosysopsl']   = $_POST['autosysopsl'];   } else if ((isset($_POST['autosysopsl']))   && ($_POST['autosysopsl']   == ''))  { $main['autosysopsl']   = 0; }
if ((isset($_POST['autosysoptime'])) && ($_POST['autosysoptime'] != $VA_MAIN['autosysoptime']) && ($_POST['autosysoptime'] != ''))  { $main['autosysoptime'] = $_POST['autosysoptime']; } else if ((isset($_POST['autosysoptime'])) && ($_POST['autosysoptime'] == ''))  { $main['autosysoptime'] = 0; }
if ((isset($_POST['qwklimit']))      && ($_POST['qwklimit']      != $VA_MAIN['qwklimit'])      && ($_POST['qwklimit']      != ''))  { $main['qwklimit']      = $_POST['qwklimit'];      } else if ((isset($_POST['qwklimit']))      && ($_POST['qwklimit']      == ''))  { $main['qwklimit']      = 0; }
if ((isset($_POST['needwfcpw']))     && ($_POST['needwfcpw']     != $VA_MAIN['needwfcpw'])     && ($_POST['needwfcpw']     != ''))  { $main['needwfcpw']     = $_POST['needwfcpw'];     } else if (!isset($_POST['needwfcpw']))     $main['needwfcpw'] = 0;
if ((isset($_POST['mailholdtime']))  && ($_POST['mailholdtime']  != $VA_MAIN['mailholdtime'])  && ($_POST['mailholdtime']  != ''))  { $main['mailholdtime']  = $_POST['mailholdtime'];  } else if ((isset($_POST['mailholdtime']))  && ($_POST['mailholdtime']  == ''))  { $main['mailholdtime']  = 0; }
if ((isset($_POST['newusersl']))     && ($_POST['newusersl']     != $VA_MAIN['newusersl'])     && ($_POST['newusersl']     != ''))  { $main['newusersl']     = $_POST['newusersl'];     } else if ((isset($_POST['newusersl']))     && ($_POST['newusersl']     == ''))  { $main['newusersl']     = 0; }
if ((isset($_POST['newusertime']))   && ($_POST['newusertime']   != $VA_MAIN['newusertime'])   && ($_POST['newusertime']   != ''))  { $main['newusertime']   = $_POST['newusertime'];   } else if ((isset($_POST['newusertime']))   && ($_POST['newusertime']   == ''))  { $main['newusertime']   = 0; }
if ((isset($_POST['maxtimebank']))   && ($_POST['maxtimebank']   != $VA_MAIN['maxtimebank'])   && ($_POST['maxtimebank']   != ''))  { $main['maxtimebank']   = $_POST['maxtimebank'];   } else if ((isset($_POST['maxtimebank']))   && ($_POST['maxtimebank']   == ''))  { $main['maxtimebank']   = 0; }
if ((isset($_POST['logdetail']))     && ($_POST['logdetail']     != $VA_MAIN['logdetail'])     && ($_POST['logdetail']     != ''))    $main['logdetail']     = $_POST['logdetail'];
if ((isset($_POST['qwkfilename']))   && ($_POST['qwkfilename']   != $VA_MAIN['qwkfilename']))  $main['qwkfilename']   = $_POST['qwkfilename'];
if ((isset($_POST['forcefilename'])) && ($_POST['forcefilename'] != $VA_MAIN['forcefilename']) && ($_POST['forcefilename'] != ''))  { $main['forcefilename'] = $_POST['forcefilename']; } else if (!isset($_POST['forcefilename'])) $main['forcefilename'] = 0;
if ((isset($_POST['inversebar']))    && ($_POST['inversebar']    != $VA_MAIN['inversebar'])    && ($_POST['inversebar']    != ''))  { $main['inversebar']    = $_POST['inversebar'];    } else if (!isset($_POST['inversebar']))    $main['inversebar'] = 0;
if ((isset($_POST['displaynet']))    && ($_POST['displaynet']    != $VA_MAIN['displaynet'])    && ($_POST['displaynet']    != ''))  { $main['displaynet']    = $_POST['displaynet'];    } else if (!isset($_POST['displaynet']))    $main['displaynet'] = 0;
if ((isset($_POST['logoffbat']))     && ($_POST['logoffbat']     != $VA_MAIN['logoffbat'])     && ($_POST['logoffbat']     != ''))    $main['logoffbat']     = $_POST['logoffbat'];
if ((isset($_POST['ringtoanswer']))  && ($_POST['ringtoanswer']  != $VA_MAIN['ringtoanswer'])  && ($_POST['ringtoanswer']  != ''))  { $main['ringtoanswer']  = $_POST['ringtoanswer'];  } else if ((isset($_POST['ringtoanswer']))  && ($_POST['ringtoanswer']  == ''))  { $main['ringtoanswer']  = 0; }
if ((isset($_POST['forcefeedback'])) && ($_POST['forcefeedback'] != $VA_MAIN['forcefeedback']) && ($_POST['forcefeedback'] != ''))  { $main['forcefeedback'] = $_POST['forcefeedback']; } else if (!isset($_POST['forcefeedback'])) $main['forcefeedback'] = 0;
if ((isset($_POST['uploadscan']))    && ($_POST['uploadscan']    != $VA_MAIN['uploadscan'])    && ($_POST['uploadscan']    != ''))    $main['uploadscan']    = $_POST['uploadscan'];
if ((isset($_POST['cbvsl']))         && ($_POST['cbvsl']         != $VA_MAIN['cbvsl'])         && ($_POST['cbvsl']         != ''))  { $main['cbvsl']         = $_POST['cbvsl'];         } else if ((isset($_POST['cbvsl']))         && ($_POST['cbvsl']         == ''))  { $main['cbvsl']         = 0; }
if ((isset($_POST['cbvtime']))       && ($_POST['cbvtime']       != $VA_MAIN['cbvtime'])       && ($_POST['cbvtime']       != ''))  { $main['cbvtime']       = $_POST['cbvtime'];       } else if ((isset($_POST['cbvtime']))       && ($_POST['cbvtime']       == ''))  { $main['cbvtime']       = 0; }
if ((isset($_POST['checkpolls']))    && ($_POST['checkpolls']    != $VA_MAIN['checkpolls'])    && ($_POST['checkpolls']    != ''))  { $main['checkpolls']    = $_POST['checkpolls'];    } else if (!isset($_POST['checkpolls']))    $main['checkpolls'] = 0;
if ((isset($_POST['directmail']))    && ($_POST['directmail']    != $VA_MAIN['directmail'])    && ($_POST['directmail']    != ''))  { $main['directmail']    = $_POST['directmail'];    } else if (!isset($_POST['directmail']))    $main['directmail'] = 0;
if ((isset($_POST['credperpost']))   && ($_POST['credperpost']   != $VA_MAIN['credperpost'])   && ($_POST['credperpost']   != ''))  { $main['credperpost']   = $_POST['credperpost'];   } else if ((isset($_POST['credperpost']))   && ($_POST['credperpost']   == ''))  { $main['credperpost']   = 0; }
if ((isset($_POST['credperuplk']))   && ($_POST['credperuplk']   != $VA_MAIN['credperuplk'])   && ($_POST['credperuplk']   != ''))  { $main['credperuplk']   = $_POST['credperuplk'];   } else if ((isset($_POST['credperuplk']))   && ($_POST['credperuplk']   == ''))  { $main['credperuplk']   = 0; }
if ((isset($_POST['credperdlk']))    && ($_POST['credperdlk']    != $VA_MAIN['credperdlk'])    && ($_POST['credperdlk']    != ''))  { $main['credperdlk']    = $_POST['credperdlk'];    } else if ((isset($_POST['credperdlk']))    && ($_POST['credperdlk']    == ''))  { $main['credperdlk']    = 0; }
if ((isset($_POST['multitasker']))   && ($_POST['multitasker']   != $VA_MAIN['multitasker'])   && ($_POST['multitasker']   != ''))    $main['multitasker']   = $_POST['multitasker'];
if ((isset($_POST['secuploads']))    && ($_POST['secuploads']    != $VA_MAIN['secuploads'])    && ($_POST['secuploads']    != ''))  { $main['secuploads']    = $_POST['secuploads'];    } else if (!isset($_POST['secuploads']))    $main['secuploads'] = 0;
if ((isset($_POST['detectfido']))    && ($_POST['detectfido']    != $VA_MAIN['detectfido'])    && ($_POST['detectfido']    != ''))  { $main['detectfido']    = $_POST['detectfido'];    } else if (!isset($_POST['detectfido']))    $main['detectfido'] = 0;
if ((isset($_POST['ignoreext']))     && ($_POST['ignoreext']     != $VA_MAIN['ignoreext'])     && ($_POST['ignoreext']     != ''))  { $main['ignoreext']     = $_POST['ignoreext'];     } else if (!isset($_POST['ignoreext']))     $main['ignoreext'] = 0;
if ((isset($_POST['tossopt']))       && ($_POST['tossopt']       != $VA_MAIN['tossopt'])       && ($_POST['tossopt']       != ''))    $main['tossopt']       = $_POST['tossopt'];
if ((isset($_POST['sysfkey']))       && ($_POST['sysfkey']       != $VA_MAIN['sysfkey'])       && ($_POST['sysfkey']       != ''))  { $main['sysfkey']       = $_POST['sysfkey'];       } else if (!isset($_POST['sysfkey']))       $main['sysfkey'] = 0;

if (isset($main)) {
    $fileString = ReadMainConfig();                     // Get the file string.
    $fileString = PutMainConfig($fileString, $main);    // Put the new information into the file string.
    WriteMainConfig($fileString);                       // Write the new file.
}

RedirectUser($_POST['referer']);

?>
